CachingWrapperFilterHelper (Lucene 3.6.2 API)
Keywords: org.apache.lucene.search.CachingWrapperFilterHelper class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class CachingWrapperFilterHelper

    java.lang.Object
      org.apache.lucene.search.Filter
          org.apache.lucene.search.CachingWrapperFilter
              org.apache.lucene.search.CachingWrapperFilterHelper

All Implemented Interfaces:
  Serializable

    public class CachingWrapperFilterHelper

extends org.apache.lucene.search.CachingWrapperFilter

A unit test helper class to test when the filter is getting cached and when it is not.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.search.CachingWrapperFilter
`org.apache.lucene.search.CachingWrapperFilter.DeletesMode`

Field Summary

Fields inherited from class org.apache.lucene.search.CachingWrapperFilter
`cache`

Constructor Summary
`CachingWrapperFilterHelper(org.apache.lucene.search.Filter filter)`

Method Summary
`boolean` | `equals(Object o)`
`org.apache.lucene.search.DocIdSet` | `getDocIdSet(org.apache.lucene.index.IndexReader reader)`
`int` | `hashCode()`
`void` | `setShouldHaveCache(boolean shouldHaveCache)`
`String` | `toString()`

Methods inherited from class org.apache.lucene.search.CachingWrapperFilter
`docIdSetToCache`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CachingWrapperFilterHelper

    public CachingWrapperFilterHelper(org.apache.lucene.search.Filter filter)

Parameters:
  `filter` - Filter to cache results of

Method Detail

### setShouldHaveCache

    public void setShouldHaveCache(boolean shouldHaveCache)

### getDocIdSet

    public org.apache.lucene.search.DocIdSet getDocIdSet(org.apache.lucene.index.IndexReader reader)
                                                  throws IOException

  Overrides:
    `getDocIdSet` in class `org.apache.lucene.search.CachingWrapperFilter`
  Throws:
    `IOException`

### toString

    public String toString()

  Overrides:
    `toString` in class `org.apache.lucene.search.CachingWrapperFilter`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `org.apache.lucene.search.CachingWrapperFilter`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `org.apache.lucene.search.CachingWrapperFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD